Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class RangeRefreshEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--oracle.jbo.JboEvent
                  |
                  +--oracle.jbo.RangeEvent
                        |
                        +--oracle.jbo.RangeRefreshEvent

public class RangeRefreshEvent
extends RangeEvent

Generated by `RowSetIterator` to inform its listeners when a range of rows need to be redrawn.

When a single row is updated an `UpdateEvent` should be generated, rather than this event.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`RangeRefreshEvent(RowSetIterator source, int rangeStart, int rowCountInRange, Row[] rows)` Creates a range refresh event.

Method Summary
`Row[]` | `getAllRowsInRange()` Extracts the rows in the range.
`int` | `getRangeStart()` Gets the absolute index of the first row in the row set range.
`int` | `getRowCountInRange()` Counts the number of rows in the row set range.
`java.lang.String` | `toString()` Internal: For debugging only.

Methods inherited from class oracle.jbo.RangeEvent
`toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RangeRefreshEvent

    public RangeRefreshEvent(RowSetIterator source,
                             int rangeStart,
                             int rowCountInRange,
                             Row[] rows)

  Creates a range refresh event.
  Parameters:
    `source` - the publisher of the event.
    `rangeStart` - the View Object index of the first row in the range.
    `rowCountInRange` - the number of rows in the range.
    `rows` - an array of row objects. The length of the array is given by `rowCountInRange`.

Method Detail

### getRangeStart

    public int getRangeStart()

  Gets the absolute index of the first row in the row set range.
  Overrides:
    getRangeStart in class RangeEvent
  Returns:
    source the View Object index of the first row of the range.

### getRowCountInRange

    public int getRowCountInRange()

  Counts the number of rows in the row set range.
  Overrides:
    getRowCountInRange in class RangeEvent
  Returns:
    source the number of rows.

### getAllRowsInRange

    public Row[] getAllRowsInRange()

  Extracts the rows in the range.
  Overrides:
    getAllRowsInRange in class RangeEvent
  Returns:
    an array of rows.

### toString

    public java.lang.String toString()

  Internal: For debugging only.
  Overrides:
    toString in class java.util.EventObject
  Returns:
    a diagnostic string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD